package cn.com.qmth.examcloud.support.fss;

import cn.com.qmth.examcloud.support.fss.model.FssType;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class FssProperty {

    public static final String FSS_SEPARATOR = "/";

    public static FssType FSS_TYPE;

    public static String FSS_BUCKET;

    public static String FSS_REGION_ID;

    public static String FSS_ENDPOINT;

    public static String FSS_INTERNAL_ENDPOINT;

    public static String FSS_ACCESS_KEY_ID;

    public static String FSS_ACCESS_KEY_SECRET;

    public static String FSS_URL_PREFIX;

    @Value("${examcloud.fss.type:}")
    public void fssType(FssType fssType) {
        FSS_TYPE = fssType;
    }

    @Value("${examcloud.fss.bucket:}")
    public void fssBucket(String fssBucket) {
        FSS_BUCKET = fssBucket;
    }

    @Value("${examcloud.fss.regionId:}")
    public void fssRegionId(String fssRegionId) {
        FSS_REGION_ID = fssRegionId;
    }

    @Value("${examcloud.fss.endpoint:}")
    public void fssEndpoint(String fssEndpoint) {
        FSS_ENDPOINT = fssEndpoint;
    }

    @Value("${examcloud.fss.internalEndpoint:}")
    public void fssInternalEndpoint(String fssInternalEndpoint) {
        FSS_INTERNAL_ENDPOINT = fssInternalEndpoint;
    }

    @Value("${examcloud.fss.accessKeyId:}")
    public void fssAccessKeyId(String fssAccessKeyId) {
        FSS_ACCESS_KEY_ID = fssAccessKeyId;
    }

    @Value("${examcloud.fss.accessKeySecret:}")
    public void fssAccessKeySecret(String fssAccessKeySecret) {
        FSS_ACCESS_KEY_SECRET = fssAccessKeySecret;
    }

    @Value("${examcloud.fss.urlPrefix:}")
    public void fssUrlPrefix(String fssUrlPrefix) {
        FSS_URL_PREFIX = fssUrlPrefix;
    }

}
